Bug 1059244 - pmchart autoscaling won't re-scale a chart if new metrics are selected
Summary: pmchart autoscaling won't re-scale a chart if new metrics are selected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp-gui
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 13:36 UTC by David Juran
Modified: 2014-03-21 22:30 UTC (History)
2 users (show)

Fixed In Version: pcp-gui-1.5.13-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 07:54:44 UTC


Attachments (Terms of Use)

Description David Juran 2014-01-29 13:36:25 UTC
Description of problem:
If one creates a chart with a certain metric, then remove that metric and create but add a new metric which is on a different scale, the auto-scale functionality won't re-scale the graph to match the new metric resulting in a mostly empty window and confusion

Version-Release number of selected component (if applicable):
pcp-gui-1.5.11-1.fc20

How reproducible:
Every time

Steps to Reproduce:
1. Create chart with a certain metric
2. Remove the metric from the chart
3. Add a mew metric, where values are much smaller then the first metric
4. Note how chart window is mainly empty

Actual results:
It would be nice if chart window would re-scale to match the new metric

Comment 1 Nathan Scott 2014-01-30 05:25:09 UTC
Thanks for the report David.  I believe I've got this fixed now, and its in the upstream pcp-gui tree under the guise of git commit 4ba0a487.

Comment 2 Fedora Update System 2014-02-20 06:34:34 UTC
pcp-gui-1.5.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.12-1.fc20

Comment 3 Fedora Update System 2014-02-20 06:35:27 UTC
pcp-gui-1.5.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.12-1.fc19

Comment 4 Fedora Update System 2014-02-20 06:36:13 UTC
pcp-gui-1.5.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.12-1.el6

Comment 5 Fedora Update System 2014-02-22 00:36:02 UTC
Package pcp-gui-1.5.12-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-gui-1.5.12-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2784/pcp-gui-1.5.12-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-02-25 07:54:44 UTC
pcp-gui-1.5.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-03-02 03:40:49 UTC
pcp-gui-1.5.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-03-06 04:52:00 UTC
pcp-gui-1.5.13-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.13-1.el6

Comment 9 Fedora Update System 2014-03-21 22:30:13 UTC
pcp-gui-1.5.13-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.